Skip to main content
GET
Get a webhook event for a subscription

Authorizations

Authorization
string
header
required

Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .

Path Parameters

webhook_subscription_id
string<uuid>
required

Unique identifier of the webhook subscription

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
webhook_event_id
string<uuid>
required

Unique identifier of the webhook event

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Webhook event retrieved successfully

webhookEventId
string<uuid>
required

Unique identifier of the webhook event

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
eventType
enum<string>
required

The type of event that occurred

Available options:
EMPLOYEE_CENSUS_HIRED,
EMPLOYEE_CENSUS_TERMINATED,
EMPLOYEE_CENSUS_UPDATED,
PAYROLL_PROCESSED,
UPDATE_GROUP_PROCESSED
employerIdentifierId
string<uuid> | null
required

Identifier of the employer the event pertains to, if attributable

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
status
enum<string>
required

Delivery status of the event to this subscription

Available options:
PENDING,
DELIVERED,
ERROR